var NAVTREE =
[
  [ "StdAir", "index.html", [
    [ "StdAir Documentation", "index.html", [
      [ "Getting Started", "index.html#getting_started", null ],
      [ "StdAir on GitHub", "index.html#at_github", null ],
      [ "StdAir Development", "index.html#development", null ],
      [ "External Libraries", "index.html#external_libs", null ],
      [ "Support StdAir", "index.html#social_sponsorship", null ],
      [ "About StdAir", "index.html#about", null ]
    ] ],
    [ "BomAbstract", "a02766.html", null ],
    [ "C++ Utility Class Browsing and Dumping the StdAir BOM Tree", "a02767.html", null ],
    [ "KeyAbstract", "a02768.html", null ],
    [ "C++ Class Building Sample StdAir BOM Trees", "a02769.html", null ],
    [ "C++ Class Storing the StdAir Context", "a02770.html", null ],
    [ "People", "a02771.html", [
      [ "Project Admins (and Developers)", "a02771.html#admins", null ],
      [ "Retired Developers", "a02771.html#retired", null ],
      [ "Contributors", "a02771.html#contributors", null ],
      [ "Distribution Maintainers", "a02771.html#distributors", null ]
    ] ],
    [ "Coding Rules", "a02772.html", [
      [ "Default Naming Rules for Variables", "a02772.html#cr_variables", null ],
      [ "Default Naming Rules for Functions", "a02772.html#cr_functions", null ],
      [ "Default Naming Rules for Classes and Structures", "a02772.html#cr_classes", null ],
      [ "Default Naming Rules for Files", "a02772.html#cr_files", null ],
      [ "Default Functionality of Classes", "a02772.html#cr_classes_functionality", null ]
    ] ],
    [ "Copyright and License", "a02773.html", [
      [ "GNU LESSER GENERAL PUBLIC LICENSE", "a02773.html#gnugpl", [
        [ "Version 2.1, February 1999", "a02773.html#version", null ]
      ] ],
      [ "Preamble", "a02773.html#preamble", null ],
      [ "TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION", "a02773.html#terms", [
        [ "NO WARRANTY", "a02773.html#nowarranty", null ],
        [ "END OF TERMS AND CONDITIONS", "a02773.html#endofterms", null ]
      ] ],
      [ "How to Apply These Terms to Your New Programs", "a02773.html#howtoapply", null ]
    ] ],
    [ "Documentation Rules", "a02774.html", [
      [ "General Rules", "a02774.html#doc_general", null ],
      [ "File Header", "a02774.html#doc_header", null ],
      [ "Grouping Various Parts", "a02774.html#doc_groups", null ]
    ] ],
    [ "Main features", "a02775.html", [
      [ "Standard Airline IT Business Object Model (BOM)", "a02775.html#airline_it_bom", null ],
      [ "Architecture of the StdAir library", "a02775.html#architecture", null ]
    ] ],
    [ "Make a Difference", "a02776.html", null ],
    [ "Make a new release", "a02777.html", [
      [ "Introduction", "a02777.html#description", null ],
      [ "Initialisation", "a02777.html#initialisation", null ],
      [ "Branch creation", "a02777.html#branch_creation", null ],
      [ "Commit and publish the release branch", "a02777.html#branch_publish", null ],
      [ "Update the change-log in the trunk as well", "a02777.html#trunk_update", null ],
      [ "Create distribution packages", "a02777.html#create_packages", null ],
      [ "Generation the RPM packages", "a02777.html#generate_rpm_packages", null ],
      [ "Update distributed change log", "a02777.html#update_changelog", null ],
      [ "Create the binary package, including the documentation", "a02777.html#create_bin_packages", null ],
      [ "Files on GitHub", "a02777.html#upload_files", null ],
      [ "Upload the documentation to GitHub", "a02777.html#upload_doc", null ]
    ] ],
    [ "Installation", "a02778.html", [
      [ "Table of Contents", "a02778.html#toc", null ],
      [ "Fedora/RedHat Linux distributions", "a02778.html#rpm_linux", null ],
      [ "StdAir Requirements", "a02778.html#requirements", null ],
      [ "Basic Installation", "a02778.html#basic_instructions", null ],
      [ "Compilers and Options", "a02778.html#compilers", null ],
      [ "Compiling For Multiple Architectures", "a02778.html#compiling_for_multi_arch", null ],
      [ "Installation Names", "a02778.html#installation_names", null ],
      [ "Optional Features", "a02778.html#optional_features", null ],
      [ "Particular systems", "a02778.html#particular_systems", null ],
      [ "Specifying the System Type", "a02778.html#specifying_system_type", null ],
      [ "Sharing Defaults", "a02778.html#sharing_defaults", null ],
      [ "Defining Variables", "a02778.html#defining_variables", null ],
      [ "`cmake' Invocation", "a02778.html#cmake_invocation", null ]
    ] ],
    [ "Linking with StdAir", "a02779.html", [
      [ "Introduction", "a02779.html#intro", null ],
      [ "Using the pkg-config command", "a02779.html#pkgconfig", null ],
      [ "Using the stdair-config script", "a02779.html#stdair_config", null ],
      [ "M4 macro for the GNU Autotools", "a02779.html#autotools", null ],
      [ "Using StdAir with dynamic linking", "a02779.html#dynamiclinking", null ]
    ] ],
    [ "Test Rules", "a02780.html", [
      [ "The Test Source Files", "a02780.html#test_source", null ],
      [ "The Reference File", "a02780.html#reference_file", null ],
      [ "Testing StdAir Library", "a02780.html#testing_using_make", null ]
    ] ],
    [ "Users Guide", "a02781.html", [
      [ "Table of Contents", "a02781.html#ug_toc", null ],
      [ "Introduction", "a02781.html#ug_introduction", null ],
      [ "Get Started", "a02781.html#ug_get_started", [
        [ "Get the StdAir library", "a02781.html#ug_get_source", null ],
        [ "Build the StdAir project", "a02781.html#ug_build_binaries", null ],
        [ "Build and Run the Tests", "a02781.html#ug_build_and_run_tests", null ],
        [ "Install the StdAir Project (Binaries, Documentation)", "a02781.html#ug_install_project", null ]
      ] ],
      [ "Exploring the Predefined BOM Tree", "a02781.html#ug_bom_tree", [
        [ "Airline Distribution BOM Tree", "a02781.html#ug_bom_distribution", null ],
        [ "Airline Network BOM Tree", "a02781.html#ug_bom_schedule", null ],
        [ "Airline Inventory BOM Tree", "a02781.html#ug_bom_inventory", [
          [ "Airline Inventory Marketing BOM Tree", "a02781.html#ug_bom_segment_branch", null ],
          [ "Airline Inventory Operating BOM Tree", "a02781.html#ug_bom_leg_branch", null ]
        ] ]
      ] ],
      [ "Extending the BOM Tree", "a02781.html#ug_extending_bom_tree", null ]
    ] ],
    [ "Supported Systems", "a02782.html", [
      [ "StdAir 3.10.x", "a02782.html#stdair_3_10", [
        [ "Linux Systems", "a02782.html#linux", [
          [ "Fedora Core 4 with ATLAS", "a02782.html#fedora_atlas", null ],
          [ "Gentoo Linux with ACML", "a02782.html#gentoo_acml", null ],
          [ "Gentoo Linux with ATLAS", "a02782.html#gentoo_atlas", null ],
          [ "Gentoo Linux with MKL", "a02782.html#gentoo_mkl", null ],
          [ "Gentoo Linux with NetLib's BLAS and LAPACK", "a02782.html#gentoo_netlib", null ],
          [ "Red Hat Enterprise Linux with StdAir External", "a02782.html#rhel", null ],
          [ "SUSE Linux 10.0 with NetLib's BLAS and LAPACK", "a02782.html#suse_netlib", null ],
          [ "SUSE Linux 10.0 with MKL", "a02782.html#suse_mkl", null ]
        ] ],
        [ "Windows Systems", "a02782.html#windows", [
          [ "Microsoft Windows XP with Cygwin", "a02782.html#cygwin", null ],
          [ "Microsoft Windows XP with Cygwin and ATLAS", "a02782.html#cygwin_atlas", null ],
          [ "Microsoft Windows XP with Cygwin and ACML", "a02782.html#cygwin_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and ACML", "a02782.html#mingw_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and StdAir External", "a02782.html#mingw_netlib", null ],
          [ "Microsoft Windows XP with MS Visual C++ and Intel MKL", "a02782.html#msvc_mkl", null ]
        ] ],
        [ "Unix Systems", "a02782.html#unix", [
          [ "SunOS 5.9 with StdAir External", "a02782.html#sunos59", null ]
        ] ]
      ] ]
    ] ],
    [ "StdAir Supported Systems (Previous Releases)", "a02783.html", [
      [ "StdAir 3.9.1", "a02783.html#stdair_3_9_1", null ],
      [ "StdAir 3.9.0", "a02783.html#stdair_3_9_0", null ],
      [ "StdAir 3.8.1", "a02783.html#stdair_3_8_1", null ]
    ] ],
    [ "Tutorials", "a02784.html", [
      [ "Table of Contents", "a02784.html#tut_toc", null ],
      [ "Introduction", "a02784.html#tut_introduction", [
        [ "Preparing the StdAir Project for Development", "a02784.html#tut_intro_configuration", null ]
      ] ],
      [ "Build a Predefined BOM Tree", "a02784.html#tut_build_bom_tree", [
        [ "Instanciate the BOM Root Object", "a02784.html#tut_build_bom_root", null ],
        [ "Instanciate the (Airline) Inventory Object", "a02784.html#tut_build_inventory", null ],
        [ "Link the Inventory Object with the BOM Root", "a02784.html#tut_build_link", null ],
        [ "Build Another Airline Inventory", "a02784.html#tut_build_inventory_another", null ],
        [ "Dump The BOM Tree Content", "a02784.html#tut_dump_bom_tree", null ],
        [ "Result of the Tutorial Program", "a02784.html#tut_result_output", null ]
      ] ],
      [ "Extend the Pre-Defined BOM Tree", "a02784.html#tut_extend_bom_tree", [
        [ "Extend an Airline Inventory Object", "a02784.html#tut_extend_inventory", null ],
        [ "Build the Specific BOM Objects", "a02784.html#tut_extend_build", null ],
        [ "Result of the Tutorial Program", "a02784.html#tut_extend_result_output", null ]
      ] ]
    ] ],
    [ "Command-Line Utility to Demonstrate Typical StdAir Usage", "a02785.html", null ],
    [ "Specific Implementation of a BOM Root", "a02786.html", null ],
    [ "Specific Implementation of a BOM Root", "a02787.html", null ],
    [ "Specific Implementation of an Airline Inventory", "a02788.html", null ],
    [ "Specific Implementation of an Airline Inventory", "a02789.html", null ],
    [ "Command-Line Test to Demonstrate How To Extend StdAir BOM", "a02790.html", null ],
    [ "Namespaces", null, [
      [ "Namespace List", "namespaces.html", "namespaces" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", "namespacemembers_type" ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"a00002.html",
"a00023.html#ab2bebe3416c3b06022db624c3cc0b1cf",
"a00236_source.html",
"a00533_source.html",
"a00788.html#a5abec1f4afab123bb09c5edf6d2c406f",
"a00908.html#add4270789c27c30c5e0790dc75975bcc",
"a01637.html#a133efc1585facfe51a535c4a7b233684",
"a01701.html#a2745fcecf3e91b686749abff6f9b17b6",
"a01777.html",
"a01817.html#aaeff94d9d0d0173ecc195203f3a46858",
"a01873.html#acea9ef7638ee30a5b7a43f05aeb69249",
"a01917.html#a5f2e677b33e2f89160590d84ef0242e4",
"a01973.html#a8e9009be2dcd1af772c8660d088ef4d5",
"a02013.html#ac2bbbadbccaf2e36d2033e73c8cc6dc6",
"a02145.html#adc0d528db6ce972689291a8dd3f35697",
"a02781.html#ug_build_and_run_tests"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';